手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

Django “ssi”模板标签目录遍历漏洞(CVE-2013-4315)

[日期:2013-09-13] 来源:Linux社区  作者:Linux [字体: ]

发布日期:2013-09-11
更新日期:2013-09-13

受影响系统:
Django Django 1.5.x
Django Django 1.4.x
描述:
--------------------------------------------------------------------------------
BUGTRAQ  ID: 62332
CVE(CAN) ID: CVE-2013-4315

Django是Python编程语言驱动的一个开源Web应用程序框架。

Django 1.4.7、1.5.3之前版本在处理"ssi"标签时没有在template/defaulttags.py内正确验证ALLOWED_INCLUDE_ROOTS设置,即用于读取文件,远程攻击者通过目录遍历序列利用此漏洞可获取敏感信息。

<*来源:Rainer Koirikivi
 
  链接:http://secunia.com/advisories/54772/
*>

建议:
--------------------------------------------------------------------------------
厂商补丁:

Django
------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.djangoproject.com/
https://www.djangoproject.com/weblog/2013/sep/10/security-releases-issued/

推荐阅读:

Ubuntu Server 12.04 安装Nginx+uWSGI+Django环境 http://www.linuxidc.com/Linux/2012-05/60639.htm

Ubuntu 12.10 在Virtualenv中安装与配置Django http://www.linuxidc.com/Linux/2013-05/83951.htm

RedHat Enterprise Linux 5 下搭建LAMP(python) 全过程分享(for Django) http://www.linuxidc.com/Linux/2013-03/81672.htm

linux
相关资讯       Django  Django漏洞 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款